GET V1/PaymentsMaster.{ext}/VendorACHRemittance?vendorId={vendorId}&status={status}&pageIndex={pageIndex}&pageSize={pageSize}

Returns Vendor ACHRemittance details.
Mandatory Fileds: vendorId
Optional Fileds : status

Request Information

URI Parameters

NameDescriptionTypeAdditional information
vendorId

This is vendorId.

string

Required

status

This is status.

string

Default value is

pageIndex

Indicates how many records to skip .

integer

Default value is 0

pageSize

Indicates number of records to be returned.

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

List of Vendor ACHRemittances based on action to perform.

EMSResponseOfEMS.Payments.Entities.VendorACHRemittances
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Payments.Entities.VendorACHRemittances

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "VendorACHRemittances",
  "response": {
    "vendorACHRemittanceList": [
      {
        "achRemittanceId": 1,
        "vendorId": 1,
        "remitCode": "sample string 1",
        "vendorPayeeName1": "sample string 2",
        "vendorPayeeName2": "sample string 3",
        "emailAccount": "sample string 4",
        "abaRoutingNumber": "sample string 5",
        "accountCurrency": "sample string 6",
        "accountNumber": "sample string 7",
        "bankName": "sample string 8",
        "status": "sample string 9"
      },
      {
        "achRemittanceId": 1,
        "vendorId": 1,
        "remitCode": "sample string 1",
        "vendorPayeeName1": "sample string 2",
        "vendorPayeeName2": "sample string 3",
        "emailAccount": "sample string 4",
        "abaRoutingNumber": "sample string 5",
        "accountCurrency": "sample string 6",
        "accountNumber": "sample string 7",
        "bankName": "sample string 8",
        "status": "sample string 9"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.